import {Grid} from "@mui/material";
import { memo } from "react";
import ProjectItem from "./ProjectItem/ProjectItem";

const ProjectsList = ({projects, onClickProjectHandler}) => {
    return (
        <Grid item container gap={3}>
            {projects?.map(project => {
                return <ProjectItem
                    title={project.title}
                    members={project.members}
                    key={project.id}
                    onClickProjectHandler={()=>{onClickProjectHandler(project)}}
                />
            })}
        </Grid>
    );
};

export default memo(ProjectsList);